@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

@font-face {
    font-family: RobotoRegular;
    src: url(../fonts/Roboto-Regular.ttf);
}

@font-face {
    font-family: RobotoBold;
    src: url(../fonts/Roboto-Bold.ttf);
}

@font-face {
    font-family: RobotoSlabRegular;
    src: url(../fonts/RobotoSlab-Regular.ttf);
}

@font-face {
    font-family: RobotoSlabBold;
    src: url(../fonts/RobotoSlab-Bold.ttf);
}

@font-face {
    font-family: LatoBold;
    src: url(../fonts/Lato-Bold.ttf);
}

@font-face {
    font-family: LatoRegular;
    src: url(../fonts/Lato-Regular.ttf);
}

html, body {
    font-family: RobotoRegular, Helvetica, Arial, sans-serif;
}

html,
body {
    margin: 0;
    padding: 0;
}

/* use viewport-relative units to cover page fully */
body {
    height: 100vh;
    width: 100vw;
}

/* include border and padding in element width and height */
* {
    box-sizing: border-box;
}

h1:focus {
    outline: none;
}

h4 {
    color: #313133;
    margin: 0;
}

tr:nth-child(even) {
    background-color: #eeeeee;
}

a, .btn-link {
    color: #0071c1;
}

table {
    border: 1px solid #00000036;
    border-radius: 5px;
}

thead {
    background-color: #F7F7F7;
    border-bottom: 1px solid #00000036;
}

th {
    border-bottom: 1px solid #00000036!important;
}

label {
    margin-left: 5px;
}

.btn-primary {
    color: #fff;
    background-color: #448331;
    border-color: #1861ac;
    padding: 5px 10px;
    margin-top: 5px;
}

    .btn-primary:hover {
        background-color: #44aa31;
    }

    .btn-primary:focus {
        background-color: #44aa31;
        border-color: #44aa31;
        box-shadow: 0 0 0 0.25rem rgb(68 170 49 / 50%)
    }

.content {
    padding-top: 30px;
    padding-left: 20px;
}

.page-title {
    text-align: left;
    font-weight: bold;
    font-size: 30px;
    letter-spacing: 0px;
    color: #313133;
    margin-bottom: 18px;
}

.results-title {
    text-align: left;
    color: #438331;
    font-weight: bold;
    font-size: 26px;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.district-table {
    margin: 25px auto;
    background-color: lightblue;
    border-radius: 5px;
    padding: 10px;
    width: 300px;
}

.earthquake-table {
    margin: 25px auto;
    background-color: lightblue;
    border-radius: 5px;
    padding: 10px;
    width: 370px;
}

.results-row {
    padding: 5px 0;
}

.live-table {
    margin: 0 auto 25px auto;
    width: 650px;
}

.live-label {
    padding-top: 15px;
}

.bar-container {
    width: 400px;
    height: 40px;
    margin: 5px;
    border: 1px solid grey;
}

.bar-green {
    background-color: green;
    height: 40px;
    float: left;
}

.bar-yellow {
    background-color: yellow;
    height: 40px;
    float: left;
}

.bar-orange {
    background-color: darkorange;
    height: 40px;
    float: left;
}

.bar-red {
    background-color: red;
    height: 40px;
    float: left;
}

.ppr-result {
    height: 30px;
    width: 30px;
    border: 1px solid grey;
    margin: 3px auto;
}

.green {
    background-color: green!important;
}

.yellow {
    background-color: yellow !important;
}

.orange {
    background-color: darkorange !important;
}

.red {
    background-color: red !important;
}

.district-results-page {
    text-align: center;
}

.top-row {
    display: inline-block;
    width: 100%;
}

.links-end {
    float: right;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 400px;
}

.header-start {
    width: 100%;
    display: flex;
    align-items: center;
    height: 100%;
    font-size: 20px;
}

.form-control {
    margin-bottom: 10px;
}

.form-group {
    margin-bottom: 5px;
}

.report-label {
    text-align: right;
    margin-top: 8px;
}

.addbuilding-form {
    width: 420px;
}

.form-select {
    outline: 1px solid #26b050;
    padding: 5px;
}

.div-center {
    margin: auto;
}

.div-left {
    float: left;
}

.div-right {
    float: right;
}

.div-logout-link {
    display: inline;
}

    .div-link:hover {
        text-decoration: underline;
        cursor: pointer;
    }

.div-run {
    padding-top: 25px;
}

.summary-title {
    color: #313133;
    font-family: RobotoBold;
    font-size: 18px;
    margin-bottom: 5px;
    margin-top: 15px;
    margin-left: 5px;
    text-align: left;
}

.results-column {
/*    width: 400px;
    margin: auto;
*/}

.table-section {
    margin-top: 25px;
}

.eq-summary-header {
    width: 1100px;
    margin: auto;
}

.results-table {
    margin-top: 25px;
}

    .results-table th {
        color: white;
        background-color: #313133;
    }

    .results-table td {
        text-align: center;
        padding: 5px;
    }

.nav-header {
    margin-bottom: 20px;
}

.div-run-btn {
    margin: 45px 0 45px 0;
    text-align: left;
}

.img-run {
    width: 15px;
    margin-right: 5px;
    margin-top: -2px;
}

.bar-label {
    color: #313133;
    font-weight: bold;
    text-align: left;
    margin: 10px 5px;
    font-size: 16px;
}

.app-name {
    color: white;
    margin-top: 10px;
    font-size: 20px;
}

.login-button {
    background-image: url('/images/Ellipse 1.png');
    background-repeat: no-repeat;
    margin-left: auto;
    margin-right: auto;
    width: 80px;
    height: 80px;
    cursor: pointer;
    margin-top: 20px;
}

.login-body {
    background-image: url('/images/login-background.jpg');
    text-align: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: darkblue;
    height: 100%;
    min-height: 550px;
    padding: 10px;
    padding-bottom: 60px; /* Height of the footer */
}

.login-form {
    width: 600px;
    height: 300px;
    position: absolute;
    /*top: 0;
    bottom: 0;*/
    left: 0;
    right: 0;
    margin: auto;
}

.login-prompt {
    color: white;
    width: 540px;
    margin: 10px auto;
    font-size: 18px;
}

.login-text {
    padding-top: 28px;
    margin-left: -5px;
    color: white;
}

.loginInput {
    margin-top: 10px;
    border: none;
    border-radius: 23px;
    height: 46px;
    padding: 5px 25px;
    font-size: 14pt;
}

.login-logo {
    /*margin-top: 40px;
    margin-bottom: 15%;*/
    /*margin-top: auto;
    margin-bottom: auto;
    margin-left: auto;
    margin-right: auto;
    height: 20%;*/
    margin-bottom: 25px;
}

.login-header {
    padding: 10px;
    display: block;
    height: 150px;
    margin-top: 60px;
}

.login-footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    color: white;
    font-size: 12pt;
}

.login-footer-right {
    position: absolute;
    bottom: 30px;
    right: 100px;
}

.welcome-image {
    width: 820px;
    border-radius: 3px;
}

.header {
    color: white;
    width: 100%;
    height: 95px;
    background-color: #347AF1;
    text-align: center;
    font-size: 28px;
    padding-top: 25px;
}

.pdf-viewer {
    width: 100%;
    height: 70vh;
}